Create User Integration Collaborators
curl --request POST \
--url https://api.galileo.ai/v2/integrations/{integration_id}/users \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
[
{
"role": "viewer",
"user_id": "<string>",
"user_email": "jsmith@example.com"
}
]
'import requests
url = "https://api.galileo.ai/v2/integrations/{integration_id}/users"
payload = [
{
"role": "viewer",
"user_id": "<string>",
"user_email": "jsmith@example.com"
}
]
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{role: 'viewer', user_id: '<string>', user_email: 'jsmith@example.com'}])
};
fetch('https://api.galileo.ai/v2/integrations/{integration_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"permissions": []
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}integrations
Create User Integration Collaborators
POST
/
v2
/
integrations
/
{integration_id}
/
users
Create User Integration Collaborators
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Body
application/json
Response
Successful Response
Available options:
owner, editor, annotator, viewer Show child attributes
Show child attributes
Was this page helpful?
⌘I